<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>FlexBox: flex-shrink</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=0">
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}
	img { max-width: 100% }
	a { text-decoration: none; }
	p { padding: 0; margin: 0; }
	html { box-sizing: border-box; }
	*,*:before,*:after { box-sizing: inherit; }

	.g-content { max-width: 560px; width: 100%; margin: 0 auto; }


	.example {
		display: flex;
		border: 1px solid #000;
	}

	.example div {
		padding: 10px;
	}

	.example_1 svg {
		width: 110px;
	}

	.example_1 div {
		display: flex;
		align-items: center;
		flex-grow: 1;
	}

	.example_2 svg {
		width: 110px;
		flex-shrink: 0;
	}

	.example_2 div {
		display: flex;
		align-items: center;
		flex-grow: 1;
	}

</style>
	<body>
		<div class="g-content">
			<h3>
				flex-shrink: 1;
			</h3>
			<div class="example example_1">
				<div style="background-color: #FFEDBB">
					<svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" viewBox="0 0 117 29">
						<style type="text/css">
							.st0{fill:#179BD7;}
							.st1{fill:#253B80;}
							.st2{fill:#222D65;}
						</style>
						<g transform="translate(-316 -181)">
							<g transform="translate(268 150)">
								<g transform="translate(48 31)">
									<path class="st0" d="M94.6,8.3c-0.9-1.1-2.5-1.6-4.7-1.6h-6.5c-0.4,0-0.8,0.3-0.9,0.8L80,24c-0.1,0.3,0.2,0.6,0.5,0.6
										h3.3c0.3,0,0.6-0.2,0.6-0.5l0.7-4.7c0.1-0.4,0.4-0.8,0.9-0.8h2c4.2,0,6.7-2.1,7.3-6.1C95.7,10.7,95.4,9.3,94.6,8.3z M90.6,12.7
										C90.3,15,88.5,15,86.8,15h-1l0.7-4.3c0-0.3,0.3-0.5,0.5-0.5h0.4c1.2,0,2.3,0,2.8,0.7C90.7,11.3,90.8,11.9,90.6,12.7z"/>
									<path class="st0" d="M109.2,12.6h-3.1c-0.3,0-0.5,0.2-0.5,0.5l-0.1,0.9l-0.2-0.3c-0.7-1-2.2-1.3-3.6-1.3
										c-3.4,0-6.3,2.6-6.9,6.2c-0.3,1.8,0.1,3.5,1.2,4.7c0.9,1.1,2.3,1.6,3.9,1.6c2.7,0,4.3-1.8,4.3-1.8l-0.1,0.9
										c-0.1,0.3,0.2,0.6,0.5,0.6h2.8c0.4,0,0.8-0.3,0.9-0.8l1.7-10.6C109.8,12.9,109.5,12.6,109.2,12.6z M104.9,18.6
										c-0.3,1.8-1.7,2.9-3.5,2.9c-0.9,0-1.6-0.3-2.1-0.8s-0.6-1.3-0.5-2.2c0.3-1.7,1.7-3,3.5-3c0.9,0,1.6,0.3,2.1,0.8
										C104.8,17,105,17.8,104.9,18.6z"/>
									<path class="st0" d="M116.3,6.7h-3c-0.3,0-0.5,0.2-0.5,0.5L110.2,24c-0.1,0.3,0.2,0.6,0.5,0.6h2.7
										c0.4,0,0.8-0.3,0.9-0.8l2.6-16.5C116.9,7,116.7,6.7,116.3,6.7z"/>
									<path class="st1" d="M48.6,8.3c-0.9-1.1-2.5-1.6-4.7-1.6h-6.4c-0.4,0-0.8,0.3-0.9,0.8L34,24
										c-0.1,0.3,0.2,0.6,0.5,0.6h3.1c0.4,0,0.8-0.3,0.9-0.8l0.7-4.5c0.1-0.4,0.4-0.8,0.9-0.8h2c4.2,0,6.7-2.1,7.3-6.1
										C49.7,10.7,49.4,9.3,48.6,8.3z M44.6,12.7C44.3,15,42.5,15,40.8,15h-1l0.7-4.3c0-0.3,0.3-0.5,0.5-0.5h0.4c1.2,0,2.3,0,2.8,0.7
										C44.7,11.3,44.8,11.9,44.6,12.7z"/>
									<path class="st1" d="M63.2,12.6h-3.1c-0.3,0-0.5,0.2-0.5,0.5L59.5,14l-0.2-0.3c-0.7-1-2.2-1.3-3.6-1.3
										c-3.4,0-6.3,2.6-6.9,6.2c-0.3,1.8,0.1,3.5,1.2,4.7c0.9,1.1,2.3,1.6,3.9,1.6c2.7,0,4.3-1.8,4.3-1.8L57.8,24
										c-0.1,0.3,0.2,0.6,0.5,0.6h2.8c0.4,0,0.8-0.3,0.9-0.8l1.7-10.6C63.8,12.9,63.5,12.6,63.2,12.6z M58.9,18.6
										c-0.3,1.8-1.7,2.9-3.5,2.9c-0.9,0-1.6-0.3-2.1-0.8s-0.6-1.3-0.5-2.2c0.3-1.7,1.7-3,3.5-3c0.9,0,1.6,0.3,2.1,0.8
										C58.8,17,59,17.8,58.9,18.6z"/>
									<path class="st1" d="M79.6,12.6h-3.1c-0.3,0-0.6,0.1-0.7,0.4l-4.3,6.3l-1.8-6.1c-0.1-0.4-0.5-0.6-0.9-0.6h-3
										c-0.4,0-0.6,0.4-0.5,0.7l3.4,10l-3.2,4.5c-0.3,0.4,0,0.8,0.4,0.8H69c0.3,0,0.6-0.1,0.7-0.4L80,13.3
										C80.3,13.1,80.1,12.6,79.6,12.6z"/>
									<path class="st0" d="M23.3,8.5c-0.3-0.4-0.8-0.7-1.3-1v0.6c0,0.2-0.1,0.3-0.1,0.5c-1.1,4.9-4.3,7-8.4,7.5
										c-0.3,0-0.6,0.1-0.8,0.1H9.1c-0.6,0-1.1,0.5-1.2,1.1l-1.2,7.5l-0.2,1L6.2,28c-0.1,0.4,0.2,0.8,0.7,0.8h4.6c0.5,0,1-0.4,1.1-0.9
										v-0.2l0.9-5.5l0.1-0.3c0.1-0.5,0.5-0.9,1.1-0.9h0.7c4.5,0,8-1.8,9-7C24.7,11.6,24.4,9.8,23.3,8.5z"/>
									<path class="st1" d="M7.9,17.2v-0.3l1.5-9.3c0-0.4,0.3-0.7,0.6-0.9c0.1-0.1,0.3-0.1,0.5-0.1h6.9
										c0.8,0,1.6,0.1,2.3,0.2c0.2,0,0.4,0.1,0.6,0.1S20.7,7,20.9,7C21,7,21,7,21.1,7.1h0.1c0.3,0.1,0.6,0.2,0.9,0.4
										c0.3-2.2,0-3.7-1.2-5.1c-1.3-1.5-3.7-2.1-6.7-2.1H5.3C4.6,0.3,4.1,0.8,4,1.4L0.3,24.7c-0.1,0.5,0.3,0.9,0.8,0.9h5.5l0.2-1
										C6.8,24.6,7.9,17.2,7.9,17.2z"/>
									<path class="st2" d="M22.1,7.5c-0.3-0.2-0.6-0.3-0.9-0.4h-0.1c-0.1,0-0.1,0-0.2-0.1c-0.2-0.1-0.4-0.1-0.6-0.1
										s-0.4-0.1-0.6-0.1c-0.7-0.1-1.5-0.2-2.3-0.2h-6.9c-0.2,0-0.3,0-0.5,0.1C9.7,6.9,9.4,7.2,9.4,7.6l-1.5,9.3v0.3
										c0.1-0.6,0.6-1.1,1.2-1.1h3.5c0.3,0,0.6,0,0.8-0.1c4.1-0.4,7.2-2.6,8.4-7.5c0-0.2,0.1-0.3,0.1-0.5C22,7.9,22,7.7,22.1,7.5z"/>
								</g>
							</g>
						</g>
					</svg>
					Контент начинает давить на нашу иконку и начинает уменьшать ее не смотря на то что ей выствлен разммер 110px ширины.
				</div>
				<div style="background-color: #B4DEB6">Блок 2</div>
				<div style="background-color: #8EC4E6">Блок 3</div>
			</div>
			<h3>
				flex-shrink: 0;
			</h3>
			<div class="example example_2">
				<div style="background-color: #FFEDBB">
					<svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" viewBox="0 0 117 29">
						<style type="text/css">
							.st0{fill:#179BD7;}
							.st1{fill:#253B80;}
							.st2{fill:#222D65;}
						</style>
						<g transform="translate(-316 -181)">
							<g transform="translate(268 150)">
								<g transform="translate(48 31)">
									<path class="st0" d="M94.6,8.3c-0.9-1.1-2.5-1.6-4.7-1.6h-6.5c-0.4,0-0.8,0.3-0.9,0.8L80,24c-0.1,0.3,0.2,0.6,0.5,0.6
										h3.3c0.3,0,0.6-0.2,0.6-0.5l0.7-4.7c0.1-0.4,0.4-0.8,0.9-0.8h2c4.2,0,6.7-2.1,7.3-6.1C95.7,10.7,95.4,9.3,94.6,8.3z M90.6,12.7
										C90.3,15,88.5,15,86.8,15h-1l0.7-4.3c0-0.3,0.3-0.5,0.5-0.5h0.4c1.2,0,2.3,0,2.8,0.7C90.7,11.3,90.8,11.9,90.6,12.7z"/>
									<path class="st0" d="M109.2,12.6h-3.1c-0.3,0-0.5,0.2-0.5,0.5l-0.1,0.9l-0.2-0.3c-0.7-1-2.2-1.3-3.6-1.3
										c-3.4,0-6.3,2.6-6.9,6.2c-0.3,1.8,0.1,3.5,1.2,4.7c0.9,1.1,2.3,1.6,3.9,1.6c2.7,0,4.3-1.8,4.3-1.8l-0.1,0.9
										c-0.1,0.3,0.2,0.6,0.5,0.6h2.8c0.4,0,0.8-0.3,0.9-0.8l1.7-10.6C109.8,12.9,109.5,12.6,109.2,12.6z M104.9,18.6
										c-0.3,1.8-1.7,2.9-3.5,2.9c-0.9,0-1.6-0.3-2.1-0.8s-0.6-1.3-0.5-2.2c0.3-1.7,1.7-3,3.5-3c0.9,0,1.6,0.3,2.1,0.8
										C104.8,17,105,17.8,104.9,18.6z"/>
									<path class="st0" d="M116.3,6.7h-3c-0.3,0-0.5,0.2-0.5,0.5L110.2,24c-0.1,0.3,0.2,0.6,0.5,0.6h2.7
										c0.4,0,0.8-0.3,0.9-0.8l2.6-16.5C116.9,7,116.7,6.7,116.3,6.7z"/>
									<path class="st1" d="M48.6,8.3c-0.9-1.1-2.5-1.6-4.7-1.6h-6.4c-0.4,0-0.8,0.3-0.9,0.8L34,24
										c-0.1,0.3,0.2,0.6,0.5,0.6h3.1c0.4,0,0.8-0.3,0.9-0.8l0.7-4.5c0.1-0.4,0.4-0.8,0.9-0.8h2c4.2,0,6.7-2.1,7.3-6.1
										C49.7,10.7,49.4,9.3,48.6,8.3z M44.6,12.7C44.3,15,42.5,15,40.8,15h-1l0.7-4.3c0-0.3,0.3-0.5,0.5-0.5h0.4c1.2,0,2.3,0,2.8,0.7
										C44.7,11.3,44.8,11.9,44.6,12.7z"/>
									<path class="st1" d="M63.2,12.6h-3.1c-0.3,0-0.5,0.2-0.5,0.5L59.5,14l-0.2-0.3c-0.7-1-2.2-1.3-3.6-1.3
										c-3.4,0-6.3,2.6-6.9,6.2c-0.3,1.8,0.1,3.5,1.2,4.7c0.9,1.1,2.3,1.6,3.9,1.6c2.7,0,4.3-1.8,4.3-1.8L57.8,24
										c-0.1,0.3,0.2,0.6,0.5,0.6h2.8c0.4,0,0.8-0.3,0.9-0.8l1.7-10.6C63.8,12.9,63.5,12.6,63.2,12.6z M58.9,18.6
										c-0.3,1.8-1.7,2.9-3.5,2.9c-0.9,0-1.6-0.3-2.1-0.8s-0.6-1.3-0.5-2.2c0.3-1.7,1.7-3,3.5-3c0.9,0,1.6,0.3,2.1,0.8
										C58.8,17,59,17.8,58.9,18.6z"/>
									<path class="st1" d="M79.6,12.6h-3.1c-0.3,0-0.6,0.1-0.7,0.4l-4.3,6.3l-1.8-6.1c-0.1-0.4-0.5-0.6-0.9-0.6h-3
										c-0.4,0-0.6,0.4-0.5,0.7l3.4,10l-3.2,4.5c-0.3,0.4,0,0.8,0.4,0.8H69c0.3,0,0.6-0.1,0.7-0.4L80,13.3
										C80.3,13.1,80.1,12.6,79.6,12.6z"/>
									<path class="st0" d="M23.3,8.5c-0.3-0.4-0.8-0.7-1.3-1v0.6c0,0.2-0.1,0.3-0.1,0.5c-1.1,4.9-4.3,7-8.4,7.5
										c-0.3,0-0.6,0.1-0.8,0.1H9.1c-0.6,0-1.1,0.5-1.2,1.1l-1.2,7.5l-0.2,1L6.2,28c-0.1,0.4,0.2,0.8,0.7,0.8h4.6c0.5,0,1-0.4,1.1-0.9
										v-0.2l0.9-5.5l0.1-0.3c0.1-0.5,0.5-0.9,1.1-0.9h0.7c4.5,0,8-1.8,9-7C24.7,11.6,24.4,9.8,23.3,8.5z"/>
									<path class="st1" d="M7.9,17.2v-0.3l1.5-9.3c0-0.4,0.3-0.7,0.6-0.9c0.1-0.1,0.3-0.1,0.5-0.1h6.9
										c0.8,0,1.6,0.1,2.3,0.2c0.2,0,0.4,0.1,0.6,0.1S20.7,7,20.9,7C21,7,21,7,21.1,7.1h0.1c0.3,0.1,0.6,0.2,0.9,0.4
										c0.3-2.2,0-3.7-1.2-5.1c-1.3-1.5-3.7-2.1-6.7-2.1H5.3C4.6,0.3,4.1,0.8,4,1.4L0.3,24.7c-0.1,0.5,0.3,0.9,0.8,0.9h5.5l0.2-1
										C6.8,24.6,7.9,17.2,7.9,17.2z"/>
									<path class="st2" d="M22.1,7.5c-0.3-0.2-0.6-0.3-0.9-0.4h-0.1c-0.1,0-0.1,0-0.2-0.1c-0.2-0.1-0.4-0.1-0.6-0.1
										s-0.4-0.1-0.6-0.1c-0.7-0.1-1.5-0.2-2.3-0.2h-6.9c-0.2,0-0.3,0-0.5,0.1C9.7,6.9,9.4,7.2,9.4,7.6l-1.5,9.3v0.3
										c0.1-0.6,0.6-1.1,1.2-1.1h3.5c0.3,0,0.6,0,0.8-0.1c4.1-0.4,7.2-2.6,8.4-7.5c0-0.2,0.1-0.3,0.1-0.5C22,7.9,22,7.7,22.1,7.5z"/>
								</g>
							</g>
						</g>
					</svg>
					Контент не как не влияет на иконку так как мы запретили изменять размеры иконки, и тем саммым размер 110px сохранятется, а контент просто увеличивает размер flex элемента
				</div>
				<div style="background-color: #B4DEB6">Блок 2</div>
				<div style="background-color: #8EC4E6">Блок 3</div>
			</div>
		</div>
	</body>
</html>